package com.bonus.sgzb.largeScreen.service;

import com.bonus.sgzb.common.core.web.domain.AjaxResult;
import com.bonus.sgzb.largeScreen.domain.PageResultVo;
import com.bonus.sgzb.largeScreen.domain.ParamsDto;

/**
 * @author 10488
 * 大屏
 */
public interface ILargeScreenService {

    /**
     * @return AjaxResult
     * @description 领料数据
     * @author cwchen
     * @date 2023/12/11 15:34
     */
    AjaxResult getMaterialReqData();

    /**
     * @return AjaxResult
     * @description 退料数据
     * @author cwchen
     * @date 2023/12/11 17:00
     */
    AjaxResult getMaterialReturnData();

    /**
     * @return AjaxResult
     * @description 当月报废分析
     * @author cwchen
     * @date 2023/12/12 9:28
     */
    AjaxResult getScrapAnalysisByMonth(ParamsDto dto);

    /**
     * @return AjaxResult
     * @description 设备分布图
     * @author cwchen
     * @date 2023/12/13 14:56
     */
    AjaxResult getEquipmentDisByMap(ParamsDto dto);

    /**
     * @return AjaxResult
     * @description 新购验收入库分析
     * @author cwchen
     * @date 2023/12/12 9:34
     */
    AjaxResult getAcceptanceStorage(ParamsDto dto);

    /**
     * @return AjaxResult
     * @description 当月领料分析
     * @author cwchen
     * @date 2023/12/12 9:36
     */
    AjaxResult getPickingAnalysisByMonth(ParamsDto dto);

    /**
     * @return AjaxResult
     * @description 当月退料分析
     * @author cwchen
     * @date 2023/12/12 9:40
     */
    AjaxResult getMaterialReturnByMonth(ParamsDto dto);

    /**
     * @return AjaxResult
     * @description 当月维修分析
     * @author cwchen
     * @date 2023/12/12 9:42
     */
    AjaxResult getMaintenanceByMonth(ParamsDto dto);

    /**
     * @return AjaxResult
     * @description 施工机具/安全工器具总保有量
     * @author cwchen
     * @date 2023/12/13 15:26
     */
    AjaxResult getTotalOwnership();

    /**
     * @return AjaxResult
     * @description 当月车辆使用分析
     * @author cwchen
     * @date 2023/12/13 15:40
     */
    AjaxResult getCarUseByMonth();

    /**
     * @return AjaxResult
     * @description 检修预警
     * @author cwchen
     * @date 2023/12/21 9:42
     */
    AjaxResult getMaintenanceWarning();

    /**
    * 各公司机具保有量
    * @param
    * @return  AjaxResult
    */
    AjaxResult getTotalOwnershipByCompany();

    /**
     * 领料数据详情
     * @param dto
     * @return
     */
    PageResultVo getMaterialReqDetailData(ParamsDto dto);

    /**
     * 退料数据详情
     * @param dto
     * @return
     */
    PageResultVo getMaterialReturnDetailData(ParamsDto dto);

    /**
     * 施工机具/安全工器具总保有量详情
     * @param dto
     * @return
     */
    PageResultVo getTotalOwnerDetailsShip(ParamsDto dto);

    /**
     * 新购验收入库分析详情
     * @param dto
     * @return
     */
    PageResultVo getAcceptanceDetailStorage(ParamsDto dto);

    /**
     * 当月报废分析详情
     * @param dto
     * @return
     */
    PageResultVo getScrapAnalysisDetailByMonth(ParamsDto dto);

    /**
     * 当月领料分析详情
     * @param dto
     * @return
     */
    PageResultVo getPickingAnalysisDetailByMonth(ParamsDto dto);

    /**
     * 当月退料分析详情
     * @param dto
     * @return
     */
    PageResultVo getMaterialReturnDetailByMonth(ParamsDto dto);

    /**
     * 当月维修分析详情
     * @param dto
     * @return
     */
    PageResultVo getMaintenanceDetailByMonth(ParamsDto dto);

    /**
     * 当月维修分析详情列表
     * @param dto
     * @return
     */
    AjaxResult getMaintenanceChartByMonth(ParamsDto dto);
}
